Home

Luna

v2.10
Base URL
https://luna.nownodes.io

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

Osmosis

Given the denom, returns the authority metadata for the denom. This method can receive both the denom encoded to URL (for the LCD requests) and the denom not encoded: e.g. factory%2Fterra1v0eee20gjl68fuk0chyrkch2z7suw2mhg3wkxf%2Futoken931

GET
https://luna.nownodes.io/osmosis/tokenfactory/v1beta1/denoms/{denom}/authority_metadata

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

BeforeSendHookAddress defines a gRPC query method for getting the address registered for the before send hook.

GET
https://luna.nownodes.io/osmosis/tokenfactory/v1beta1/denoms/{denom}/before_send_hook

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

DenomsFromCreator defines a gRPC query method for fetching all denominations created by a specific admin/creator.

GET
https://luna.nownodes.io/osmosis/tokenfactory/v1beta1/denoms_from_creator/{creator}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

creatorstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Params defines a gRPC query method that returns the tokenfactory module's parameters.

GET
https://luna.nownodes.io/osmosis/tokenfactory/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.